# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "sge_types"
version = "1.2.0"
authors = ["Lily Lopes <joshrl@proton.me>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Core types for SGE"
readme = false
license = "MIT"
repository = "https://github.com/LilyRL/sge"

[lib]
name = "sge_types"
path = "src/lib.rs"

[dependencies.glium]
version = "0.36.0"

[dependencies.obj-rs]
version = "0.7.4"

[dependencies.rkyv]
version = "0.8.16"

[dependencies.sge_color]
version = "1.2.0"

[dependencies.sge_error_union]
version = "1.1.0"

[dependencies.sge_macros]
version = "1.1.0"

[dependencies.sge_utils]
version = "1.2.0"

[dependencies.sge_vectors]
version = "1.2.0"

[dependencies.sge_window]
version = "1.1.0"

[dependencies.winit]
version = "0.30"
